package com.itjob.javabasic;

public class TestReference {
	public static void main(String[] args) {
		Person person = new Person("Amigo");
		changeName(person);
		System.out.println(person.getName());
		
		int i = 0;
		changeBasicData(i);
		System.out.println(i);
	}
	
	public static void changeName(Person person) {
		person.setName("°¢ÃÛ¹û");
	}
	
	public static void changeBasicData(int num) {
		num = 5;
	}
}
